For the complete documentation index, see llms.txt. This page is also available as Markdown.

Filtering workflow sessions

Below is a list of attributes available for filtering workflow sessions.

Attribute
Type

status

string Valid values are started, processing, complete, abandoned, and cancelled.

outcome

string Valid values are clear, attention, and rejected.

workflowTemplateId

string

workflowId

string

workflowVersion

string

clientId

string

Example - Get all workflow sessions for an outcome

In the example below, we will request to get all workflow sessions with an outcome of clear.

curl -X GET https://api.complycube.com/v1/workflowSessions?outcome=clear \
     -H 'Authorization: <YOUR_API_KEY>'
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

wf_sessions = cc_api.workflowsessions.list(outcome='clear')
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$wf_sessions = $ccapi->workflowSessions()->list(['outcome' => 'clear']);
using ComplyCube.Net;
using ComplyCube.Net.Resources.WorkflowSessions;

var wfSessionsApi = new WorkflowSessionApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var filter = new WorkflowSessionRequest { outcome = "clear" }

var wfSessions = await wfSessionsApi.ListAsync(filter);